summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-04-21 20:44:59 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-04-21 20:44:59 +0200
commitb803209ad0f1f198072695109b30a726e0411084 (patch)
tree3d5db865a71f72457d05fbe37cb25e96d67484f8 /scripts
parentfaf5bef3ce64c6b15ac9cd4490c74f621cea4b73 (diff)
fat commit to add support for firefox on ibm x40 via usb stick
- add support for IBM X40 notebook - add USB boot support - add firefox package - update and add all dependencies for firefox - add xorg intel driver - add dri support for xorg
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index a1e9e9440..854712190 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -33,6 +33,11 @@ if [[ -n $ADK_NATIVE ]];then
fi
fi
+if [[ -n $ADK_PACKAGE_FIREFOX ]]; then
+ NEED_ZIP="$NEED_ZIP firefox"
+ NEED_LIBIDL="$NEED_LIBIDL firefox"
+fi
+
if [[ -n $ADK_PACKAGE_LIBUSB ]]; then
NEED_BISON="$NEED_BISON libusb"
fi
@@ -158,6 +163,20 @@ if [[ -n $NEED_BISON ]]; then
fi
fi
+if [[ -n $NEED_ZIP ]]; then
+ if ! which zip >/dev/null 2>&1; then
+ echo >&2 You need zip to build $NEED_ZIP
+ out=1
+ fi
+fi
+
+if [[ -n $NEED_LIBIDL ]]; then
+ if ! which libIDL-config-2 >/dev/null 2>&1; then
+ echo >&2 You need libIDL-config-2 to build $NEED_LIBIDL
+ out=1
+ fi
+fi
+
if [[ -n $NEED_GPERF ]]; then
if ! which gperf >/dev/null 2>&1; then
echo >&2 You need gperf to build $NEED_GPERF